# G - Gravitational Constant
G = 6.67428e-11 * 10 ** -9  # Converting from (N m^2) / kg^2 to (N km^2) / kg^2

# Mass (kg)
Sun_mass = 1.9891e30
Mercury_mass = 3.285e23
Venus_mass = 4.867e24
Earth_mass = 5.97218639e24
Mars_mass = 6.39e23
Jupiter_mass = 1.898e27
Saturn_mass = 5.683e26
Uranus_mass = 8.681e25
Neptune_mass = 1.024e26
Pluto_mass = 1.30900e22

# Radius (km)
Sun_equatorial_radius = 696340
Mercury_equatorial_radius = 2439.7
Venus_equatorial_radius = 6051.8
Earth_equatorial_radius = 6378.1366
Mars_equatorial_radius = 3396.19
Jupiter_equatorial_radius = 71492
Saturn_equatorial_radius = 60268
Uranus_equatorial_radius = 25559
Neptune_equatorial_radius = 24764
Pluto_equatorial_radius = 1188.3

# SGP - Standard Gravitational Parameter, μ = G M
Sun_SGP = G * Sun_mass
Mercury_SGP = G * Mercury_mass
Venus_SGP = G * Venus_mass
Earth_SGP = G * Earth_mass
Mars_SGP = G * Mars_mass
Jupiter_SGP = G * Jupiter_mass
Saturn_SGP = G * Saturn_mass
Uranus_SGP = G * Uranus_mass
Neptune_SGP = G * Neptune_mass
Pluto_SGP = G * Pluto_mass
